Subject: bug#51032: 29.0.50; Choices for blink-matching-paren

From: Daniel Martín <[email-masked]>
Date: Tue, 05 Oct 2021 16:25:10 +0200

Arash Esbati <[email-masked]> writes:

>
> Is there a specific reason why users cannot choose this feature
>
>     With any other non-nil value, the off-screen position of the opening
>     paren will be shown in the echo area.
>
> via customize interface?  Currently, one has to do
>
>    (setq blink-matching-paren 'show)
>
> in the init file to get that behavior.  Or am I missing something?
>

I wonder if the documentation is correct.  The off-screen position of an
open paren is shown in the echo area when the variable is non-nil and
not 'jump-offscreen (and of course the open paren is off-screen).

I don't see how 'show is treated differently than t.